// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// Module: CoordPair
//
// Author: Hassan Siddiqui
//
// Description: 
//
// Stores a pair of coordinates.
//
// Modifications: See ChangeLog
// 
// $Id: CoordPair.cc,v 1.1 2012/01/25 15:46:31 rsaxton Exp $

/* General */

/* SAS-specific */
#include "Tracer.h"
#include "errstr.h"

/* Local classes */
#include "CoordPair.h"

/*** Constructor */
CoordPair::CoordPair(double x, double y): 
  _x(x),
  _y(y)
{PROC; ENDPROC;}

double CoordPair::x() const
{
  PROC;
  RETURN _x;
}

void CoordPair::x(double value)
{
  PROC;
  _x=value;
  ENDPROC;
}

double CoordPair::y() const
{
  PROC;
  RETURN _y;
}

void CoordPair::y(double value)
{
  PROC;
  _y=value;
  ENDPROC;
}
