// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// Module: CoordPair
//
// Author: Hassan Siddiqui
//
// Description: 
//
// Stores a pair of coordinates.
//
// Modifications: See ChangeLog
// 
// $Id: CoordPair.h,v 1.1 2012/01/25 15:46:31 rsaxton Exp $

#ifndef CoordPair_H
#define CoordPair_H

/* General */

/* SAS-specific */

/* Local classes */


class CoordPair
{
public:

  /*** Constructor */
  CoordPair(double x=0, double y=0);

  double x() const;
  void x(double value);

  double y() const;
  void y(double value);

private:

  double _x;
  double _y;
};

#endif
