// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: GenericOperation
// Author: Hassan Siddiqui
//
// Description: Computes simple statistics on-the-fly from a given input data list.
// 
// Comments: 
//  
// Modifications: See ChangeLog
// 
// $Id: GenericOperation.h,v 1.1 2012/01/25 15:46:31 rsaxton Exp $


#ifndef GENERICOPERATION_H
#define GENERICOPERATION_H

// SAS-specific classes
#include "Dal.h"

// Utility functions
#include "errstr.h"
#include "Tracer.h"

//============================================================================

// NAMEOFGENERICBLOCK should be the name of another 
// macro accepting an argument of type Dal::DataType.

//============================================================================

#define GENERIC_OPERATION(NAMEOFGENERICBLOCK, TYPEFUNCTION)\
switch (TYPEFUNCTION) {\
			 case Data::Int8   : { NAMEOFGENERICBLOCK  (int8);   break; }\
	                 case Data::Int16  : { NAMEOFGENERICBLOCK  (int16);  break; }\
	                 case Data::Int32  : { NAMEOFGENERICBLOCK  (int32);  break; }\
	                 case Data::Real32 : { NAMEOFGENERICBLOCK  (real32); break; }\
	                 case Data::Real64 : { NAMEOFGENERICBLOCK  (real64); break; }\
			 default: { errstr << " A data type of " << int(TYPEFUNCTION) << " is not supported. " << Sas::error("invalidDataType");} } 

#endif
