// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: PixelElement
// Author: Hassan Siddiqui
//
// Description: 
//
// Describes a single pixel in an image or pixel list
//
// Modifications: See ChangeLog
// 
// $Id: PixelElement.h,v 1.1 2012/01/25 15:46:31 rsaxton Exp $

#ifndef PixelElement_H
#define PixelElement_H

// General classes
#include <iostream>

// SAS-specific classes
#include "Dal.h"

// General utility functions
#include "errstr.h"
#include "Tracer.h"

// Local classes

class PixelElement
{
public:

  /* Constructor */
  PixelElement( int xindex, 
		int yindex, 
		double xCentre, 
		double yCentre,
		double xWidth,
		double yWidth,
		double value);
  
  /* Destructor */
  ~PixelElement(){};
  
  int  xIndex() const;
  int  yIndex() const;
  double xCentre() const;
  double yCentre() const;
  double xWidth() const;
  double yWidth() const;
  double value() const;

private:

  PixelElement(); 

  int    _xindex;
  int    _yindex;
  double _xCentre;
  double _yCentre;
  double _xWidth;
  double _yWidth;
  double _value;

};

// Insertor for PixelElement
ostream &operator << (ostream &stream, const PixelElement o);

#endif
