// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
/**************************************************************************

  iofn.H                                                

  Istream utilities

  (c) 1996 European Space Agency - Written by Marco Beijersbergen for SciSim

  $Id: iofn.h,v 1.1 2012/01/25 15:46:31 rsaxton Exp $

 *************************************************************************/

#ifndef __IOFN_H
#define __IOFN_H

#include <iostream>
#include <cstring>

inline istream& endl(istream& ins)
{
  char ch;
  while (ins.get(ch) && ch != '\n');
  return ins;
}

inline istream& skipcomment(istream& ins)
{
  char ch;
  while (ins >> ws >> ch, strchr("#$%&;",ch) && ins)
    ins >> endl;
  ins.putback(ch);
  return ins;
}

#endif
